@charset "UTF-8";
@import "compass/css3";
@import "base";
@import "./base/common";
@import "./common/profile";
@import "./base/cpm/ngDialog";
@import "./feedback";
.empty {
    color: #b3b3b3;
}

* {
    outline: none;
}

.none {
    display: none;
}

.btn.date {
    padding: 6.5px 12px!important;
}

.btn.blue {
    background: #3c85fd;
    color: #fff;
    border: 0;
}

.datepicker .dropdown-menu {
    padding: 5px;
    border: 1px solid #E8E8E8;
    border-radius: 0px;
    z-index: 1001;
    .btn {
        border-radius: 0;
        margin: -1px 0 0 -1px;
        width: 55px;
        height: 33px;
        padding: 0;
        text-align: center;
        line-height: 33px;
    }
    button[disabled]:hover {
        &::before {
            z-index: -1!important;
        }
    }
    .btn-default[disabled]::before {
        z-index: -1!important;
    }
    small {
        display: inline-block;
        padding: 5px 0;
        color: #8E8D8D;
        font-weight: normal;
    }
}

.content-word-break {
    word-break: break-all;
}

.add-card {
    margin: 114px 0;
}

.select-address {
    margin-top: 11%;
}

.avatar-etb-md {
    width: 90px;
}

.add-city-box-etb-city-body {
    border: 1px solid grey;
    width: 658px;
    padding: 15px;
    margin-top: 5px;
    z-index: 100;
    position: absolute;
    white-space: normal;
    .city-input {
        width: 300px;
        display: inline-block;
    }
}

.etb-city,
.select-etb-city-panel {
    z-index: 10000;
    position: relative;
    border: 1px solid #e5e5e5;
    background: white;
}

.etb-city,
.select-parent-panel {
    ::-webkit-scrollbar-thumb {
        background: #e5e5e5;
    }
}

.hot-city-tab {
    ::-webkit-scrollbar-thumb {
        background: none;
    }
}

.etb-city {
    width: 626px;
    margin-top: 5px;
    padding: 10px 10px;
    font-size: 12px;
    .etb-city-panel {
        height: 251px;
        overflow-y: scroll;
        overflow-x: hidden;
    }
    .nav-tabs:before {
        position: relative;
        top: 39px;
        left: -11px;
        width: 12px;
        height: 1px;
        content: '';
        background: #ddd;
    }
    .nav-tabs li:last-child:after {
        position: absolute;
        right: -11px;
        top: 38px;
        width: 12px;
        height: 1px;
        content: '';
        background: #ddd;
    }
    header {
        padding: 8px 0;
        border-bottom: 1px solid #CCC;
        .title {
            color: #555;
            border-bottom: 3px solid #0d8aee;
            padding: 7px 0;
        }
    }
    .city-name-ul,
    .host-city-ul {
        margin-top: 10px;
        margin-bottom: 0px;
        padding: 0;
        li {
            overflow: hidden;
            font-size: 14px;
            line-height: 1.5;
            height: 21px;
            margin-bottom: 5px;
            a:hover {
                color: #0d8aee;
            }
        }
    }
    .city-name-ul {
        height: 201px;
        overflow-y: scroll;
    }
    .index-ul {
        margin-bottom: 0px;
        li {
            width: 10%;
            @include inline-block;
            cursor: pointer;
            &.active span {
                color: #555;
                border-bottom: 3px solid #0d8aee;
                padding: 7px 0;
            }
        }
    }
    .city-index {
        color: #0d8aee;
    }
}

.select-etb-city-panel,
.add-city-box-select-etb-city-panel {
    border-top: none;
    height: 120px;
    overflow-y: scroll;
    padding: 5px 5px;
    -webkit-border-radius: 0 0 4px 4px;
    -moz-border-radius: 0 0 4px 4px;
    border-radius: 0 0 4px 4px;
    span {
        display: block;
        padding-left: 5px;
        &:hover {
            background-color: #0d8aee;
            color: white;
        }
    }
}

.select-etb-city-panel {
    width: 93%;
    @media (min-width: 1750px) {
        width: 95.5%;
    }
}

.add-city-box-select-etb-city-panel {
    width: 300px;
}

.p0 {
    padding: 0px;
}

.pt7 {
    padding-top: 7px;
}

.verification-icon {
    position: absolute;
    display: inline-block;
    top: -28px;
    left: 24px;
    .popover {
        display: none;
        width: 140px;
        top: -35px;
        left: -17px;
        z-index: 0;
        .arrow {
            left: 20%;
        }
        .popover-content {
            font-size: 12px;
        }
    }
    .icon {
        background-color: #f9ae56;
        color: #fff;
        width: 23px;
        height: 23px;
        display: inline-block;
        vertical-align: middle;
        font-size: 14px;
        @include border-radius(50%);
        padding-top: 4px;
        margin-bottom: 4px;
    }
    &:hover {
        .popover {
            display: block;
        }
    }
}

.white-space-pre {
    white-space: pre-wrap;
    word-wrap: break-word;
}

.tips-color {
    color: #B5B5B5;
}

@media screen and (min-width: 768px) {
    ::-webkit-scrollbar-thumb {
        background: #C3C3C3;
    }
}

.notification {
    position: fixed;
    right: 10px;
    width: 380px;
    bottom: 65px;
    z-index: 10;
    .widget {
        margin-bottom: 0px;
    }
    .notification-header {
        background-color: #3f51b5;
        padding: 0 10px;
        line-height: 30px;
        color: white;
        i {
            cursor: pointer;
        }
    }
    .notification-list {
        .notification-list-item {
            padding: 0 10px;
            line-height: 50px;
            background-color: #e8e8e8;
            &:hover {
                background-color: #f3f3f3;
                color: #337AB7;
                text-decoration: underline;
            }
        }
        .notification-latestTime {
            font-size: 10px;
            color: #999999;
        }
        .notification-msg {
            font-size: 12px;
        }
    }
    .icon-close {
        font: inherit;
        font-size: 14px;
        margin-left: 10px;
    }
    .bg-white:hover {
        background-color: #e8e8e8;
    }
}

.feedback-title {
    color: #428bca !important;
    &:hover {
        color: #2a6496 !important;
    }
}

.ml60 {
    margin-left: 60px;
}

.ml45 {
    margin-left: 45px;
}

.pr45 {
    padding-right: 45px;
}

.w350 {
    width: 350px;
}

.mt100 {
    margin-top: 100px;
}

.mr100 {
    margin-right: 100px;
}

.mb50 {
    margin-bottom: 50px;
}

.lh42 {
    line-height: 42px;
}

.hide-validate {
    .has-success .form-control-feedback {
        display: none;
    }
    .has-success .form-control {
        border-color: #e4e4e4;
    }
}

.has-validate-err {
    .has-success .form-control {
        border-color: red;
    }
    .form-control {
        border-color: red;
    }
}

.mt23 {
    margin-top: 23px;
}

.ngdialog-w960-h750 {
    .ngdialog-content {
        width: 960px !important;
        height: 750px !important;
        padding: 0px !important;
    }
    .ngdialog-close {
        display: none;
    }
}

.ngdialog-w960 {
    .ngdialog-content {
        width: 960px !important;
        padding: 0px !important;
    }
    .ngdialog-close {
        display: none;
    }
}

.ngdialog-w543 {
    .ngdialog-content {
        width: 543px !important;
        padding: 0px !important;
    }
    .ngdialog-close {
        display: none;
    }
}

.no-valid-form-group {
    margin: 0px -15px 15px;
}

// -----------------园区版START------------------ //
.breadcrumb {
    background-color: transparent;
    margin-bottom: 20px;
    padding: 0;
    li + li::before {
        content: "\f105\00a0";
    }
}

.panel-title {
    padding: 20px;
}

.h6 {
    font-size: 14px;
}

p {
    color: $sys-main-color;
}

body {
    color: $sys-main-color;
}

.text-orange {
    color: #ff9801 !important;
}

.text-green {
    color: #4caf50 !important;
}

.text-blue {
    color: #3c85f !important;
}

.text-gray {
    color: #3a3d4b !important;
}

.text-light-gray {
    color: #959595 !important;
}

hr {
    border-top: 1px solid rgba(0, 0, 0, 0.06);
}

.mbn10 {
    margin-bottom: -10px;
}

.mln20 {
    margin-left: -20px;
}

.text-break-space {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.main-ui-view {
    max-width: 1600px;
    margin: 0 auto;
}

table thead th {
    font-weight: 400;
}

.panel-body.border::before {
    border-top: 1px solid rgba(0, 0, 0, 0.06);
    position: absolute;
    left: 15px;
    right: 15px;
    display: block;
}

.ngdialog-theme-default.ngdialog-content-pt20 {
    .ngdialog-content {
        padding-top: 20px !important;
    }
}

// -----------------导航------------------- //
header.navbar {
    background: $sys-nav-background-color;
    height: 60px;
    .navbar-header {
        a {
            padding: 0px;
            img {
                height: 60px;
            }
        }
    }
    nav li {
        a {
            color: #fff;
            line-height: 30px;
            &:hover,
            &:focus {
                background-color: $sys-nav-background-color-hover;
            }
            &.back-person-travel {
                padding-right: 30px;
                padding-left: 30px;
            }
        }
    }
    .active {
        background-color: $sys-nav-background-color-hover;
    }
}

// -----------------页面内容------------------- //
.layout-fixed-header .main-content {
    padding-top: 0px;
}

// -----------------页脚------------------- //
.content-footer {
    .ent-entrance {
        line-height: 55px;
        position: relative;
        right: 20px;
    }
}

footer.content-footer {
    position: fixed;
    background-color: #f0f0f0;
}

.no-close {
    .ngdialog-close {
        display: none!important;
    }
}

.no-ngdialog-padding {
    .ngdialog-content {
        padding: 0px !important;
    }
}

.ngdialog-base {
    .ngdialog-content {
        padding: 0px !important;
    }
    .ngdialog-close {
        // z-index: -1;
        display: none!important;
    }
    .ngdialog-cancel {
        position: static!important;
        display: inline-block!important;
        &:before {
            display: none!important;
        }
    }
    header {
        font-size: 16px;
        margin: 20px 0px 20px 20px;
    }
}

// -----------------园区版END----------------- //
table thead tr th {
    text-align: center;
}

.error-panel {
    background: #FFF1EE;
    color: #fd7356;
    line-height: 24px;
    font-size: 14px;
}

.p-relative {
    position: relative;
}

.common-chart-tips {
    font-size: 12px;
    color: #999;
    position: absolute;
    padding: 0 5px;
    top: 0;
    right: 0;
    line-height: 34px;
}

.page-wrap {
    .total {
        display: inline-block;
        border-radius: 4px;
        border: 1px solid #ddd;
        background: #fff;
        padding: 7px 12px;
        font-size: 12px;
        vertical-align: top;
        color: #337ab7;
    }
}
